Debian Bug report logs - #376304
[Fixed in FFv3 nightly builds] gecko browsers don't update when scrolling with position:fixed and composite

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Thomas Jollans <tjollans@jollybox.de>

Date: Sat, 1 Jul 2006 21:48:02 UTC

Severity: normal

Found in version iceweasel/2.0.0.7-2

Fixed in versions iceweasel/3.0.1-1, 3.0.1-1

Done: Mike Hommey <mh@glandium.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#376304; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Thomas Jollans <tjollans@jollybox.de>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Jollans <tjollans@jollybox.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gecko browsers don't update when scrolling with position:fixed and composite
Date: Sat, 01 Jul 2006 23:30:13 +0200
Package: firefox
Version: 1.5.dfsg+1.5.0.4-1
Severity: normal

all gecko-based browsers I have tried (firefox, epiphany-browser in amd64 and
mozilla-browser in an ia32 chroot on an amd64 system) do not seam to
update the complete page when scrolling a page containing a
position:fixed element when a composite manager is running. the result
is that the fixed element "lags" over the rest of the page. for a
screenshot of this, see http://zombiehq.xyzplanet.net/~thomas/ff_pfixed_lag.png
For example, this happens with the HTML

<html><body><script language="javascript">
  for(var i = 0; i < 2000; ++i) document.write("text "); // script for brevity
</script><div style="position:fixed;top:0;background:grey">
  this text lags when scrolling
</div></body></html>

I use the proprietary nvidia drivers for compositing. As
composite/window managers I have tried xcompmgr on xfwm4 and metacity
and xfwm4 with its own compositor.
This does not occur in Konqueror or when multiple fixed elements are
present.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-amd64-k8-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages firefox depends on:
ii  debianutils                 2.16.1       Miscellaneous utilities specific t
ii  fontconfig                  2.3.2-7      generic font configuration library
ii  libatk1.0-0                 1.11.4-2     The ATK accessibility toolkit
ii  libc6                       2.3.6-15     GNU C Library: Shared libraries
ii  libcairo2                   1.0.4-2      The Cairo 2D vector graphics libra
ii  libfontconfig1              2.3.2-7      generic font configuration library
ii  libfreetype6                2.2.1-2      FreeType 2 font engine, shared lib
ii  libgcc1                     1:4.1.1-5    GCC support library
ii  libglib2.0-0                2.10.3-2     The GLib library of C routines
ii  libgtk2.0-0                 2.8.18-1     The GTK+ graphical user interface 
ii  libidl0                     0.8.6-1      library for parsing CORBA IDL file
ii  libjpeg62                   6b-13        The Independent JPEG Group's JPEG 
ii  libpango1.0-0               1.12.3-1     Layout and rendering of internatio
ii  libpng12-0                  1.2.8rel-5.1 PNG library - runtime
ii  libstdc++6                  4.1.1-5      The GNU Standard C++ Library v3
ii  libx11-6                    2:1.0.0-6    X11 client-side library
ii  libxcursor1                 1.1.5.2-5    X cursor management library
ii  libxext6                    1:1.0.0-4    X11 miscellaneous extension librar
ii  libxfixes3                  1:3.0.1.2-4  X11 miscellaneous 'fixes' extensio
ii  libxft2                     2.1.8.2-8    FreeType-based font drawing librar
ii  libxi6                      1:1.0.0-5    X11 Input extension library
ii  libxinerama1                1:1.0.1-4    X11 Xinerama extension library
ii  libxp6                      1:1.0.0-1    X Printing Extension (Xprint) clie
ii  libxrandr2                  2:1.1.0.2-4  X11 RandR extension library
ii  libxrender1                 1:0.9.0.2-4  X Rendering Extension client libra
ii  libxt6                      1:1.0.0-5    X11 toolkit intrinsics library
ii  psmisc                      22.2-1       Utilities that use the proc filesy
ii  zlib1g                      1:1.2.3-12   compression library - runtime

firefox recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#376304; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 376304@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Thomas Jollans <tjollans@jollybox.de>, 376304@bugs.debian.org
Subject: Re: Bug#376304: gecko browsers don't update when scrolling with position:fixed and composite
Date: Sun, 3 Sep 2006 22:45:10 -0400
[Message part 1 (text/plain, inline)]
* Thomas Jollans (tjollans@jollybox.de) wrote:
> Package: firefox
> Version: 1.5.dfsg+1.5.0.4-1
> Severity: normal
> 
> all gecko-based browsers I have tried (firefox, epiphany-browser in amd64 and
> mozilla-browser in an ia32 chroot on an amd64 system) do not seam to
> update the complete page when scrolling a page containing a
> position:fixed element when a composite manager is running. the result
> is that the fixed element "lags" over the rest of the page. for a
> screenshot of this, see http://zombiehq.xyzplanet.net/~thomas/ff_pfixed_lag.png
> For example, this happens with the HTML
> 
> <html><body><script language="javascript">
>   for(var i = 0; i < 2000; ++i) document.write("text "); // script for brevity
> </script><div style="position:fixed;top:0;background:grey">
>   this text lags when scrolling
> </div></body></html>
> 
> I use the proprietary nvidia drivers for compositing. As
> composite/window managers I have tried xcompmgr on xfwm4 and metacity
> and xfwm4 with its own compositor.
> This does not occur in Konqueror or when multiple fixed elements are
> present.

I don't have a card that's accelerated so I don't have any way to test
this. Maybe that will change with X.org 7.1. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#376304; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 376304-quiet@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: 376304-submitter@bugs.debian.org
Cc: 376304-quiet@bugs.debian.org
Subject: Debian Firefox/Iceweasel bug triage - bug #376304
Date: Mon, 01 Oct 2007 14:17:27 +0200
Dear Firefox/Iceweasel user,

Thanks for your interest in Firefox/Iceweasel and the bug report you have contributed.

Your bug report [0] was done for a version which isn't a part of debian anymore. Debian 4.0 (Etch) was released with version 2.0.0.3.

Please reproduce your bug on an updated version of Iceweasel and confirm it 
still exists, or close it as irrelevant for recent versions. 

If you don't know or are not sure how to update or close your bug report, 
please contact me directly, and I'll help you.

IMPORTANT: In any case, please provide version info, as we use it to determine 
the relevance of the bug.

As this bug is quite old, I intend to close it if you don't update your bug 
report in the next 6 weeks.

This is the time line for the old bugs cleanup:
1. October 1st - first notice.
2. October 15th - Second notice.
3. October 29th - Third notice.
4. November 12th - Closing the bug.

Please help the Firefox/Iceweasel maintainer to help you (:

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=376304

--
Lior Kaplan
kaplan@debian.org




Message sent on to Thomas Jollans <tjollans@jollybox.de>:
Bug#376304. Full text and rfc822 format available.

Information stored:
Bug#376304; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Thomas Jollans <thomas@jollans.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 376304-quiet@bugs.debian.org (full text, mbox):

From: Thomas Jollans <thomas@jollans.com>
To: Lior Kaplan <kaplan@debian.org>, 376304-quiet@bugs.debian.org
Subject: Re: Bug#376304: Debian Firefox/Iceweasel bug triage - bug #376304
Date: Mon, 1 Oct 2007 22:50:35 +0200
On Monday 01 October 2007, Lior Kaplan wrote:
> Dear Firefox/Iceweasel user,
>
> Thanks for your interest in Firefox/Iceweasel and the bug report you have
> contributed.
>
> Your bug report [0] was done for a version which isn't a part of debian
> anymore. Debian 4.0 (Etch) was released with version 2.0.0.3.
>
> Please reproduce your bug on an updated version of Iceweasel and confirm it
> still exists, or close it as irrelevant for recent versions.

This problem still exists in Iceweasel 2.0.0.7-2, but has been fixed in the 
upstream Gecko 1.9 branch (iceweasel 3.0), where a lot of drawing code has 
been rewritten, if I understand correctly. I remember this being fixed in a 
FF 3.0 nightly a while ago anyway.




Bug reassigned from package `firefox' to `iceweasel'. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 07:36:15 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.0.7-2. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 07:36:15 GMT) Full text and rfc822 format available.

Changed Bug title to `[Fixed in FFv3 nightly builds] gecko browsers don't update when scrolling with position:fixed and composite' from `gecko browsers don't update when scrolling with position:fixed and composite'. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 07:36:17 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 3.0.1-1. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 18 Oct 2008 12:21:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 3.0.1-1. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 25 Oct 2008 20:09:10 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <mh@glandium.org>:
You have taken responsibility. (Mon, 21 Dec 2009 17:30:15 GMT) Full text and rfc822 format available.

Notification sent to Thomas Jollans <tjollans@jollybox.de>:
Bug acknowledged by developer. (Mon, 21 Dec 2009 17:30:15 GMT) Full text and rfc822 format available.

Message #38 received at 376304-done@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 376304-done@bugs.debian.org
Subject: closing
Date: Mon, 21 Dec 2009 18:28:01 +0100
Version: 3.0.1-1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jan 2010 07:27:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:42:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.